use dta/SMD_Candidate_With_Zeros, clear

drop if OneMunicipalityDistrict==1

drop totalvotes

/* DROPPING ALL CASES WHERE A CAND NEVER RUN */

** v has up to four candidates, other parties max two candidates

** these parties have max two cand ----  a fv h h_fv s

foreach party in a fv h h_fv s {
drop if party=="`party'" & cand=="c3"
drop if party=="`party'" & cand=="c4"
}

** these parties have max one cand ----  kir l oth spr t v_a

foreach party in kir l oth spr t v_a {
drop if party=="`party'" & cand=="c2"
drop if party=="`party'" & cand=="c3"
drop if party=="`party'" & cand=="c4"
}

replace votes=0 if votes==.

gen round_new=1
replace round_new=2 if round=="r2"
drop round
rename round_new round

/* COLLAPSING VOTES TO THE DISTRICT LEVEL */
collapse (sum) votes, by(year valgkrets cand party round)

drop if party=="spr" 
drop if votes==0
egen totalvotes_dis=sum(votes), by(year valgkrets round)

gen bloc=.
replace bloc=0 if (party=="kir" | party=="l" | party=="oth" | party=="t")
replace bloc=1 if party=="s"
replace bloc=2 if (party=="h"| party=="h_fv"| party=="fv")
replace bloc=3 if (party=="v"| party=="v_a"|  party=="a")

foreach bloc in 0 1 2 3 {
foreach round in 1 2 {
preserve
keep if bloc==`bloc'
keep if round==`round'
gen voteshare=votes/totalvotes_dis
egen newrank=rank(votesh*(-1)), by(year valgkrets)   
egen NoC=max(newrank), by(year valgkrets)
replace NoC=0 if NoC==.
rename NoC NoCround`round'bloc`bloc'
keep year valgkrets NoCround`round'bloc`bloc'
sort year valgkrets
save dta/ComputingNoC/NoC_round`round'bloc`bloc'.dta, replace 
restore
}
}

use dta/ComputingNoC/NoC_round1bloc0.dta, clear
merge year valgkrets using dta/ComputingNoC/NoC_round2bloc0.dta
drop _merge

foreach bloc in 1 2 3 {
foreach round in 1 2 {
sort year valgkrets
merge year valgkrets using dta/ComputingNoC/NoC_round`round'bloc`bloc'.dta
drop _merge
}
}

foreach round in 1 2 {
rename NoCround`round'bloc0 NoC_round`round'_oth
replace NoC_round`round'_oth=0 if NoC_round`round'_oth==.
rename NoCround`round'bloc1 NoC_round`round'_s
replace NoC_round`round'_s=0 if NoC_round`round'_s==.
rename NoCround`round'bloc2 NoC_round`round'_h_fv
replace NoC_round`round'_h_fv=0 if NoC_round`round'_h_fv==.
rename NoCround`round'bloc3 NoC_round`round'_v_a
replace NoC_round`round'_v_a=0 if NoC_round`round'_v_a==.
}

foreach bloc in oth s h_fv v_a {
gen change_noc_`bloc'=NoC_round2_`bloc'-NoC_round1_`bloc'
}
sort valgkrets year
save dta\ComputingNoC.dta, replace
