***************************************************************************************************
******************************** MUNICIPALITY LEVEL ***********************************************
***************************************************************************************************

use dta\panel.dta, clear


/* KDENSITY --- FIRST AND SECOND ROUND TURNOUT */

twoway (kdensity turnout_mun if round==1 & InSample==1 & round==1, lwidth(vthin)) (kdensity turnout_mun if round==2 & InSample==1, lwidth(vthick)), ///
title("") xtitle(Voter Turnout) ytitle(Density) legend(order(2 "Second Round" 1 "First Round" ) pos(2) ring(0) col(1)) yscale(range(0 3)) ///
plotregion(lcolor(white) ilcolor(white)) graphregion(fcolor(white)) scheme(s1mono) ylabel(0(1)3, grid angle(0))
graph export figures/Figure1.eps, replace
graph export figures/Figure1.tif, replace

/* OLD VERSION */
/*
/* HISTOGRAM --- FIRST ROUND TURNOUT - MUNICIPALITY */

sum turnout_mun if round==1 
sum turnout_mun if round==1 & InSample==1
hist turnout_mun if round==1 & InSample==1, width(0.05) start(0.00) freq bfcolor(gs10) blcolor(gs6) subtitle(First Round) xtitle("") ///
graphregion(fcolor(white)) scheme(s1mono) xlabel(0(0.1)1.0) note(Note: Mean of turnout is 49% (N=1385))
graph save figures/gph/turnout_first.gph, replace

/* HISTOGRAM --- SECOND ROUND TURNOUT - MUNICIPALITY */

sum turnout_mun if round==2 
hist turnout_mun if round==2, width(0.05) start(0.00) freq bfcolor(gs10) blcolor(gs6) subtitle(Second Round) xtitle("") ///
graphregion(fcolor(white)) scheme(s1mono) xlabel(0(0.1)1.0) note(Note: Mean of turnout is 60% (N=1385))
graph save figures/gph/turnout_second.gph, replace

/* HISTOGRAM --- CHANGE TURNOUT - MUNICIPALITY */

sum change_turnout if round==2 
hist change_turnout if round==2, width(0.05) start(-0.6) freq bfcolor(gs10) blcolor(gs6) subtitle(Change Across Rounds) xtitle("") ///
graphregion(fcolor(white)) scheme(s1mono) xlabel(-0.6(0.1)0.6) note(Note: Mean change in turnout is 11% (N=1385))
graph save figures/gph/change_turnout.gph, replace


/* HISTOGRAM --- FIRST AND SECOND ROUND TURNOUT COMBINED */

cd figures/gph
graph combine turnout_first.gph turnout_second.gph change_turnout.gph, graphregion(fcolor(white)) scheme(s1mono) 
graph export ../turnout_mun.tif, replace
graph export ../turnout_mun.eps, replace
cd ../../
*/
