use dta/SMD_Candidate_all_2, clear

drop if OneMunicipalityDistrict==1
drop if valgkrets==1503 & year==1909  

drop _merge
sort valgkrets year
merge valgkrets year using dta/InSample2


***************************************************************************************************
******************************** DISTRICT LEVEL ***********************************************
***************************************************************************************************


/* HISTOGRAM --- Fraction of Votes Obtained by Largest Party in first round */

preserve
keep if round==1 & rank==1
sum maxvotesh if maxvotesh<0.5
sum maxvotesh if maxvotesh>0.5
twoway (hist maxvotesh if maxvotesh<0.5, width(0.02) start(0.2) freq bfcolor(gs10) blcolor(gs6)) (hist maxvotesh if maxvotesh>0.5, width(0.02) start(0.2) freq bfcolor(gs5) blcolor(gs6)), ///
graphregion(fcolor(white)) scheme(s1mono) xlabel(0.25(0.25)1.00) ///
legend(label(1 "Minority") label(2 "Majority") pos(3) ring(0) col(1)) plotregion(style(none))
*xline(0.5, lstyle(foreground)) 
graph export figures/FigureA1.tif, replace
graph export figures/FigureA1.eps, replace
restore
