use dta\panel.dta, clear

keep if round==1
keep if InSample==1
sum eligible1overall 

egen eligible1overall_district=sum(eligible1overall), by(valgkrets year)

**************** here is the distribution across municipalities ***********************

gen relative_size=eligible1overall/eligible1overall_district
*hist eligible1overall, xtitle(Municipality electorate size) freq width(500) start(0) bfcolor(gs10) blcolor(gs6) graphregion(fcolor(white)) scheme(s1mono) plotregion(style(none))
*graph export figures/DistrictSize1.tif, replace
*graph export figures/DistrictSize1.eps, replace


hist relative_size, xtitle(Municipality electorate size relative to district electorate size) freq width(0.05) start(0) bfcolor(gs10) blcolor(gs6) graphregion(fcolor(white)) scheme(s1mono) plotregion(style(none))
graph export figures/FigureA2.tif, replace
graph export figures/FigureA2.eps, replace

*sum relative_size, de
*tab relative_size

*gen count=1
*egen no_mun=sum(count), by(valgkrets year)
*sum relative_size if no_mun==7

**************** here is the distribution across districts ***********************

*collapse (sum) eligible1overall (sum) count, by(valgkrets year)
*hist eligible1overall, xtitle(Electorate district size) freq width(1000) start(0) bfcolor(gs10) blcolor(gs6) graphregion(fcolor(white)) scheme(s1mono) plotregion(style(none))
*graph export figures/DistrictSize3.tif, replace
*graph export figures/DistrictSize3.eps, replace
*sum eligible1overall
