use dta\SMD_Candidate.dta, clear

egen test=sum(voteshare), by(knr year round)  /* verifying that voteshare is the local voteshare for candidate */
drop if test==0 /* round not in play */
drop if party=="spr" /* THESE ARE NOT ACTUAL CANDIDATES */

***In the first round, the median vote share of a candidate within his or her hometown is 38 percent; in contrast, the median vote share in other municipalities is 22 percent.
bysort match: sum voteshare if round=="r1", de
bysort match: sum voteshare if round=="r2", de

***Within their hometowns, less than one tenth of all candidates (9 percent) get less than 10 percent of the votes in the first round.
sum voteshare if match==1 & round=="r1" & voteshare<0.10  /* 110 obs. */
sum voteshare if match==1 & round=="r1" & voteshare>0.10  /* 1083 obs. */
di 110/(110+1084)

***Outside their hometowns, about one third of candidates (34 percent) get less than 10 percent of the votes.
sum voteshare if match==0 & round=="r1" & voteshare<0.10  /* 2668 obs. */
sum voteshare if match==0 & round=="r1" & voteshare>0.10  /* 5137 obs. */
di 2688/(2688+5137)

*tab voteshare if match==0 & round=="r1"
