use dta\import1918.dta, clear
append using dta\import1915, force
append using dta\import1912, force
append using dta\import1909, force

drop *_di
*drop if knr>2030 /* THESE ARE ONE-MUNICIPALITY DISTRICTS, I.E. NO HOMETOWNS HERE */

gen matchsprr1c1=.
gen matchsprr1c2=.
gen matchsprr2c1=.
gen matchsprr2c2=.

foreach party in s v a v_a l t fv h_fv h kir oth spr{
	foreach round in 1 2 {
		foreach cand in 1 2 {
		gen votesr`round'c`cand'`party' = 0
		replace votesr`round'c`cand'`party' = `party'votesr`round'c`cand'
		
		gen matchr`round'c`cand'`party' = 0
		replace matchr`round'c`cand'`party' = match`party'r`round'c`cand'
		drop match`party'r`round'c`cand'
		
		gen namer`round'c`cand'`party' = "."
		replace namer`round'c`cand'`party' = `party'namer`round'c`cand'
		
		gen occupationr`round'c`cand'`party' = "."
		replace occupationr`round'c`cand'`party' = `party'occupationr`round'c`cand'
		
		gen hometownr`round'c`cand'`party' = "."
		replace hometownr`round'c`cand'`party' = `party'hometownr`round'c`cand'
		
		}
	}

}

/* VENSTRE and S HAS THIRD CANDIDATE IN ROUND 1 */

foreach party in v s {
	foreach round in 1 {
		foreach cand in 3 {
		gen votesr`round'c`cand'`party' = 0
		replace votesr`round'c`cand'`party' = `party'votesr`round'c`cand'
		
		gen matchr`round'c`cand'`party' = 0
		replace matchr`round'c`cand'`party' = match`party'r`round'c`cand'
		drop match`party'r`round'c`cand'
		
		gen namer`round'c`cand'`party' = "."
		replace namer`round'c`cand'`party' = `party'namer`round'c`cand'
		
		gen occupationr`round'c`cand'`party' = "."
		replace occupationr`round'c`cand'`party' = `party'occupationr`round'c`cand'
		
		gen hometownr`round'c`cand'`party' = "."
		replace hometownr`round'c`cand'`party' = `party'hometownr`round'c`cand'
		
		}
	}

}


/* VENSTRE HAS fourth AND fifth CANDIDATE IN ROUND 1 */

foreach party in v {
	foreach round in 1 {
		foreach cand in 4 5 {
		gen votesr`round'c`cand'`party' = 0
		replace votesr`round'c`cand'`party' = `party'votesr`round'c`cand'
		
		gen matchr`round'c`cand'`party' = 0
		replace matchr`round'c`cand'`party' = match`party'r`round'c`cand'
		drop match`party'r`round'c`cand'
		
		gen namer`round'c`cand'`party' = "."
		replace namer`round'c`cand'`party' = `party'namer`round'c`cand'
		
		gen occupationr`round'c`cand'`party' = "."
		replace occupationr`round'c`cand'`party' = `party'occupationr`round'c`cand'
		
		gen hometownr`round'c`cand'`party' = "."
		replace hometownr`round'c`cand'`party' = `party'hometownr`round'c`cand'
		
		}
	}

}

/* VENSTRE HAS THIRD CANDIDATE IN ROUND 2 */

foreach party in v {
	foreach round in 2 {
		foreach cand in 3 {
		gen votesr`round'c`cand'`party' = 0
		replace votesr`round'c`cand'`party' = `party'votesr`round'c`cand'
		
		gen matchr`round'c`cand'`party' = 0
		replace matchr`round'c`cand'`party' = match`party'r`round'c`cand'
		drop match`party'r`round'c`cand'
		
		gen namer`round'c`cand'`party' = "."
		replace namer`round'c`cand'`party' = `party'namer`round'c`cand'
		
		gen occupationr`round'c`cand'`party' = "."
		replace occupationr`round'c`cand'`party' = `party'occupationr`round'c`cand'
		
		gen hometownr`round'c`cand'`party' = "."
		replace hometownr`round'c`cand'`party' = `party'hometownr`round'c`cand'
		
		}
	}

}


rename totalvotes1 totalvotesr1
rename totalvotes2 totalvotesr2

reshape long votesr1c1 votesr1c2 votesr1c3 votesr1c4 votesr1c5 votesr2c1 votesr2c2 votesr2c3 ///
namer1c1 namer1c2 namer1c3 namer1c4 namer1c5 namer2c1 namer2c2 namer2c3 ///
occupationr1c1 occupationr1c2 occupationr1c3 occupationr1c4 occupationr1c5 occupationr2c1 occupationr2c2 occupationr2c3 ///
hometownr1c1 hometownr1c2 hometownr1c3 hometownr1c4 hometownr1c5 hometownr2c1 hometownr2c2 hometownr2c3 ///
matchr1c1 matchr1c2 matchr1c3 matchr1c4 matchr1c5 matchr2c1 matchr2c2 matchr2c3 ///
, i(knr year) string

rename _j party
keep knavn knr districtname city rejectedelection valgkrets year party votes* name* occupation* hometown* match* totalvotes* ///

reshape long votesr1 votesr2 namer1 namer2 occupationr1 occupationr2 hometownr1 hometownr2 matchr1 matchr2, i(knr year party) string
rename _j cand

keep knavn knr districtname city rejectedelection  valgkrets year party cand votes* name* occupation* hometown* match* totalvotes* ///

reshape long votes name occupation hometown match totalvotes, i(knr year party cand) string
rename _j round

sort year valgkrets knr round party cand

replace name=trim(name)
run do\CorrectingNames.do

/* WANT TO KEEP VOTES FOR SPR , EVEN THOUGH WE DON'T HAVE HOMETOWN ETC */
replace name="missing" if party=="spr" & votes>0
*replace hometown="missing" if party=="spr" & votes>0



/* MAKING INDICATOR VARIABLE FOR ONE-MUNICIPALITY DISTRICTS */

gen OneMunicipalityDistrict=0
replace OneMunicipalityDistrict=1 if knr>2030 /* These are the big cities with multiple districts within municipality */
replace OneMunicipalityDistrict=1 if knr==101 /* FREDRIKSHALD has own district electing one rep */
replace OneMunicipalityDistrict=1 if knr==102 /* SARPSBORG has own district electing one rep */
replace OneMunicipalityDistrict=1 if knr==103 /* FREDRIKSTAD has own district electing one rep */
replace OneMunicipalityDistrict=1 if knr==218 /* AKER (RURAL) has own district electing one rep */
replace OneMunicipalityDistrict=1 if knr==703 /* HORTEN has own district electing one rep */
replace OneMunicipalityDistrict=1 if knr==705 /* TONSBERG has own district electing one rep */
replace OneMunicipalityDistrict=1 if knr==805 /* PORSGRUNN has own district electing one rep */
replace OneMunicipalityDistrict=1 if knr==806 /* SKIEN has own district electing one rep */
replace OneMunicipalityDistrict=1 if knr==801 /* KRAGERO has own district electing one rep */
replace OneMunicipalityDistrict=1 if knr==901 /* RISOR has own district electing one rep */
replace OneMunicipalityDistrict=1 if knr==1004 /* FLEKKEFJORD has own district electing one rep */
replace OneMunicipalityDistrict=1 if knr==1106 /* HAUGESUND has own district electing one rep */
replace OneMunicipalityDistrict=1 if knr==1503 /* KRISTIANSUND has own district electing one rep */
replace OneMunicipalityDistrict=1 if knr==1902 /* TROMSO has own district electing one rep */

tab city OneMunicipality

save dta/SMD_Candidate_With_Zeros, replace

keep if name!=""
keep if name!="."
*keep if hometown!=""
*keep if hometown!="."

*run do\Occupation.do

gen voteshare=votes/totalvotes

sum voteshare if match==0 & round=="r1"
sum voteshare if match==1 & round=="r1"
sum voteshare if match==0 & round=="r2"
sum voteshare if match==1 & round=="r2"

/* LOOKING FOR MISMATCHES */
*preserve
*egen districtmatch=sum(match), by(year cand name round valgkrets)
*keep if districtmatch==0
*sort year name round
*log using "C:\Users\A0910846\Dropbox\StortingData\log\districmatch0.txt", text replace
*li year name valgkrets districtname hometown knavn round name hometown *match* if districtmatch==0, clean
*log close
*restore

/* CREATING VARIABLES FOR ANALYSIS */

tab round, gen(d_round)
tab party, gen(d_party)
tab year, gen(d_year)

drop if party=="spr" & cand=="c2"
drop if party=="spr" & cand=="c3"
drop if party=="spr" & cand=="c4"
drop if party=="spr" & cand=="c5"

*log using log/NamesPreReform.txt, text replace
*tab name
*log close

save dta/SMD_Candidate_all, replace

/*
preserve
restore
preserve
collapse OneMun city, by(year valgkrets round)
keep if year==1918 & round=="r1"
tab OneMun city
restore
*/

drop if OneMunicipalityDistrict==1 /* THESE ARE ONE-MUNICIPALITY DISTRICTS, I.E. NO HOMETOWNS HERE */

drop if valgkrets==1503 & year==1909  /* WEATHER PROBLEMS IN PART OF 1503 IN THE SECOND ROUND .. cannot compute ch in turnout */

save dta/SMD_Candidate, replace
