use dta/SMD_Candidate_all, clear
drop if votes==0

gen round_new=1
replace round_new=2 if round=="r2"
drop round
rename round_new round

collapse OneMunicipalityDistrict (sum) votes , by(year valgkrets round party cand)

/* MERGING ELIGIBLE DATA FROM NSD */

sort year valgkrets round party cand
sort year valgkrets round
merge year valgkrets round using dta\eligible

/* KEY VARIABLES */
egen totalvotes=sum(votes), by(year valgkrets round)
gen turnout=totalvotes/eligible
gen votesh=votes/totalvotes
egen maxvotesh=max(votesh), by(year valgkrets round)

/* FINDING WINNER  and RUNNER-UP */

egen rank=rank(votesh*(-1)), by(year valgkrets round)
gen winner=0
replace winner=1 if rank==1 
gen runnerup=0
replace runnerup=1 if rank==2

gen diff_to_max=maxvotesh-votesh
replace diff_to_max=. if diff_to_max==0
egen margin=min(diff_to_max), by(year valgkrets round)

/* LABELING */

label var maxvotesh "Largest Fraction of Votes Obtained"
label var margin "Difference in Voteshare Between Winner and Runner-up"
label var turnout "Electoral Participation"

save dta/SMD_Candidate_all_2, replace
