use dta\panel.dta, clear

keep if InSample==1
drop _merge
sort valgkrets year
merge valgkrets year using dta\ComputingNoC
drop if _merge==2
drop _merge

/* MERGING NOC FROM ENoC_District.do - FOR INCLUSION AS CONTROL */

sort year valgkrets
merge year valgkrets using dta\NoC1.dta
keep if _merge==3

drop _merge
sort year valgkrets
merge year valgkrets using dta\NoC2.dta
keep if _merge==3
drop _merge

gen change_noc=NoC2-NoC1

foreach bloc in s v_a h_fv oth {
gen noc_`bloc'=NoC_round1_`bloc' if round==1
replace noc_`bloc'=NoC_round2_`bloc' if round==2
}

gen noc=NoC1 
replace noc=NoC2 if round==2

/* descriptives by round */
*foreach round in 1 2 {
*preserve
*keep if round==`round'
*sutex turnout_mun match match_s match_v_a match_h_fv match_oth noc noc_s noc_v_a noc_h_fv noc_oth voteshare_s voteshare_v_a voteshare_h_fv voteshare_oth ///
*, minmax title(Descriptive Statistics Round `round' [LAYOUT TO BE IMPROVED] \label{Descriptives_r`round'}) ///
*file(tables/Descriptives_r`round'.tex) replace
*restore
*}

/* descriptives change */
keep if round==2
sutex lag_margin ///
change_noc change_noc_s change_noc_v_a change_noc_h_fv change_noc_oth ///
change_match change_match_s change_match_v_a change_match_h_fv change_match_oth ///
change_turnout change_voteshare_s change_voteshare_v_a change_voteshare_h_fv change_voteshare_oth ///
change_voteshareELIG_s change_voteshareELIG_v_a change_voteshareELIG_h_fv change_voteshareELIG_oth change_voteshareELIG_abstain ///
, minmax title(Descriptive Statistics Change [LAYOUT TO BE IMPROVED] \label{Descriptives_Change}) ///
file(tables/Table1.tex) replace

