use dta\panel.dta, clear

keep if round==2

local MATCH_BLOC change_match_s change_match_v_a change_match_h_fv change_match_oth


/* VOTESHARE ANALYSIS */
eststo clear
foreach bloc in s v_a h_fv oth abstain{
/* FE */
areg change_voteshareELIG_`bloc' `MATCH_BLOC', absorb(valgkretsXyear) cluster(valgkrets)
eststo
*estadd local TimeFE "No"
*estadd local DistrictFE "Yes"
*estadd local Sample "All"
}
esttab using tables\Table3.tex, replace se b(%9.3f) se(%9.3f) r2 star(* 0.10 ** 0.05 *** 0.01) ///
coeflabels (change_match_oth "$\Delta Local^{OTH}$" change_match_s "$\Delta Local^{S}$" change_match_v_a "$\Delta Local^{V/A}$" change_match_h_fv "$\Delta Local^{H/FV}$") ///
mtitles("$\Delta Vote^{S}$" "$\Delta Vote^{V/A}$" "$\Delta Vote^{H/FV}$" "$\Delta Vote^{OTH}$" "$\Delta Abstain$") drop(*cons*) prehead("\begin{tabular}{l*{@M}{rr}}" "\hline") posthead(\hline) postfoot("\hline" "\end{tabular}")  
*scalars("TimeFE Year FE" "DistrictFE District-Year FE" "Sample Sample")
