use dta\panel.dta, clear

drop _merge
keep if round==2

sort valgkrets year
merge valgkrets year using dta\ComputingNoC

drop if _merge==2
drop _merge

/* MERGING NOC FROM ENoC_District.do - FOR INCLUSION AS CONTROL */

sort year valgkrets
merge year valgkrets using dta\NoC1.dta
keep if _merge==3

drop _merge
sort year valgkrets
merge year valgkrets using dta\NoC2.dta
keep if _merge==3
drop _merge

gen change_noc=NoC2-NoC1

/* LOCALS */

local NOC_BLOC change_noc_s change_noc_v_a change_noc_h_fv change_noc_oth
local MATCH_BLOC change_match_s change_match_v_a change_match_h_fv change_match_oth


/* TURNOUT ANALYSIS  - LIMITED SAMPLE */

eststo clear
foreach bloc in s v_a h_fv oth {
*areg  change_turnout lag_margin lag_margin2 `NOC_BLOC' `MATCH_BLOC' if running_`bloc'!=0, absorb(valgkretsXyear) robust
areg  change_turnout lag_margin lag_margin2 `NOC_BLOC' `MATCH_BLOC' if running_`bloc'!=0, absorb(valgkretsXyear) cluster(valgkrets)
eststo
*estadd local TimeFE "No"
*estadd local DistrictFE "Yes"
estadd local Bloc "`bloc'"
}
esttab using tables\TableA4_cluster.tex, replace scalars("Bloc Bloc Running in Second Round") se b(%9.3f) se(%9.3f) r2 star(* 0.10 ** 0.05 *** 0.01) ///
coeflabels (change_noc "$\Delta Candidates$" change_noc_oth "$\Delta Candidates^{OTH}$" change_noc_s "$\Delta Candidates^{S}$" change_noc_v_a "$\Delta Candidates^{V/A}$" change_noc_h_fv "$\Delta Candidates^{H/FV}$" /// 
change_match "$\Delta Local$" change_match_oth "$\Delta Local^{OTH}$" change_match_s "$\Delta Local^{S}$" change_match_v_a "$\Delta Local^{V/A}$" change_match_h_fv "$\Delta Local^{H/FV}$" ///
lag_margin "$  Margin $" lag_margin2 "$  Margin^{2} $")  /// 
drop(*cons*) nodepvars nomtitles prehead("\begin{tabular}{l*{@M}{rr}}" "\hline") posthead(\hline) postfoot("\hline" "\end{tabular}")  

/* TURNOUT ANALYSIS  - LIMITED SAMPLE -nocluster */

eststo clear
foreach bloc in s v_a h_fv oth {
areg  change_turnout lag_margin lag_margin2 `NOC_BLOC' `MATCH_BLOC' if running_`bloc'!=0, absorb(valgkretsXyear) robust
*areg  change_turnout lag_margin lag_margin2 `NOC_BLOC' `MATCH_BLOC' if running_`bloc'!=0, absorb(valgkretsXyear) cluster(valgkrets)
eststo
*estadd local TimeFE "No"
*estadd local DistrictFE "Yes"
estadd local Bloc "`bloc'"
}
esttab using tables\TableA4_nocluster.tex, replace scalars("Bloc Bloc Running in Second Round") se b(%9.3f) se(%9.3f) r2 star(* 0.10 ** 0.05 *** 0.01) ///
coeflabels (change_noc "$\Delta Candidates$" change_noc_oth "$\Delta Candidates^{OTH}$" change_noc_s "$\Delta Candidates^{S}$" change_noc_v_a "$\Delta Candidates^{V/A}$" change_noc_h_fv "$\Delta Candidates^{H/FV}$" /// 
change_match "$\Delta Local$" change_match_oth "$\Delta Local^{OTH}$" change_match_s "$\Delta Local^{S}$" change_match_v_a "$\Delta Local^{V/A}$" change_match_h_fv "$\Delta Local^{H/FV}$" ///
lag_margin "$  Margin $" lag_margin2 "$  Margin^{2} $")  /// 
drop(*cons*) nodepvars nomtitles prehead("\begin{tabular}{l*{@M}{rr}}" "\hline") posthead(\hline) postfoot("\hline" "\end{tabular}")  
