use dta\panel.dta, clear

keep if round==2

local MATCH_BLOC change_match_s change_match_v_a change_match_h_fv change_match_oth

/* VOTESHARE ANALYSIS - LIMITED SAMPLE */
eststo clear
foreach bloc in s v_a h_fv oth{
/* FE */
areg change_voteshare_`bloc' `MATCH_BLOC' if running_`bloc'!=0, absorb(valgkretsXyear) cluster(valgkrets)
*areg change_voteshare_`bloc' `MATCH_BLOC' if running_`bloc'!=0, absorb(valgkretsXyear) robust
eststo
*estadd local TimeFE "No"
*estadd local DistrictFE "Yes"
estadd local Bloc "`bloc'"
}
esttab using tables\TableA6_cluster.tex, replace scalars("Bloc Bloc Running in Second Round") se b(%9.3f) se(%9.3f) r2 star(* 0.10 ** 0.05 *** 0.01) ///
coeflabels (change_match_oth "$\Delta Local^{OTH}$" change_match_s "$\Delta Local^{S}$" change_match_v_a "$\Delta Local^{V/A}$" change_match_h_fv "$\Delta Local^{H/FV}$") ///
mtitles("$\Delta Vote^{S}$" "$\Delta Vote^{V/A}$" "$\Delta Vote^{H/FV}$" "$\Delta Vote^{OTH}$") drop(*cons*) prehead("\begin{tabular}{l*{@M}{rr}}" "\hline") posthead(\hline) postfoot("\hline" "\end{tabular}")  

/* VOTESHARE ANALYSIS - LIMITED SAMPLE */
eststo clear
foreach bloc in s v_a h_fv oth{
/* FE */
*areg change_voteshare_`bloc' `MATCH_BLOC' if running_`bloc'!=0, absorb(valgkretsXyear) cluster(valgkrets)
areg change_voteshare_`bloc' `MATCH_BLOC' if running_`bloc'!=0, absorb(valgkretsXyear) robust
eststo
*estadd local TimeFE "No"
*estadd local DistrictFE "Yes"
estadd local Bloc "`bloc'"
}
esttab using tables\TableA6_nocluster.tex, replace scalars("Bloc Bloc Running in Second Round") se b(%9.3f) se(%9.3f) r2 star(* 0.10 ** 0.05 *** 0.01) ///
coeflabels (change_match_oth "$\Delta Local^{OTH}$" change_match_s "$\Delta Local^{S}$" change_match_v_a "$\Delta Local^{V/A}$" change_match_h_fv "$\Delta Local^{H/FV}$") ///
mtitles("$\Delta Vote^{S}$" "$\Delta Vote^{V/A}$" "$\Delta Vote^{H/FV}$" "$\Delta Vote^{OTH}$") drop(*cons*) prehead("\begin{tabular}{l*{@M}{rr}}" "\hline") posthead(\hline) postfoot("\hline" "\end{tabular}")  

